# Poco

# template < typename T >

# class BasicMemoryBinaryWriter

Library: Foundation
Package: Streams
Header: Poco/BinaryWriter.h

## Description

A convenient wrapper for using Buffer and MemoryStream with BinarWriter.

## Inheritance

Direct Base Classes: BinaryWriter

All Base Classes: BinaryWriter

## Member Summary

Member Functions: data, stream

Inherited Functions: bad, byteOrder, fail, flush, good, operator <<, stream, write7BitEncoded, writeBOM, writeRaw

## Constructors

### BasicMemoryBinaryWriter

BasicMemoryBinaryWriter(
Buffer < T > & data,
StreamByteOrder byteOrder = NATIVE_BYTE_ORDER
);

### BasicMemoryBinaryWriter

BasicMemoryBinaryWriter(
Buffer < T > & data,
TextEncoding & encoding,
StreamByteOrder byteOrder = NATIVE_BYTE_ORDER
);

## Destructor

### ~BasicMemoryBinaryWriter

~BasicMemoryBinaryWriter();

## Member Functions

### data

Buffer < T > & data();

### data

const Buffer < T > & data() const;

### stream

const MemoryOutputStream & stream() const;

### stream

MemoryOutputStream & stream();